BounceOnWall = class()

function BounceOnWall:fixedUpdate()
    local halfHeight = (self.scene.camera:get(camera).orthoSize / 2)
    
    local vel = self.entity.body2d.linearVelocity
    local doesHit = false
    if self.entity.worldPosition.y + (ballDiameter /2) >= halfHeight then
        vel.y = -math.abs(vel.y)
        self.entity.y = halfHeight - (ballDiameter /2)  - 0.01
        doesHit = true
    elseif self.entity.worldPosition.y - (ballDiameter /2) <= -halfHeight then
        vel.y = math.abs(vel.y)
        self.entity.y = -halfHeight + (ballDiameter /2)  + 0.01
        doesHit = true
    end
    
    if doesHit then
        sound.play(asset.Wall_Sound,5)
    end
    
    self.entity.body2d.linearVelocity = vel
end

